import { Construct } from 'constructs';
import { Environment } from './environment';
export interface AirflowResourceBaseProps {
    readonly environment: Environment;
    readonly resourceType: string;
    readonly properties: Record<string, any>;
    readonly airflowRole?: string;
}
export declare abstract class AirflowResourceBase extends Construct {
    constructor(scope: Construct, id: string, props: AirflowResourceBaseProps);
}
